<?php
  
IF (GET('id')){
  
  $id = INTVAL(GET('id'));
  
}ELSE{
  
  $id = NULL;
  
}
  
IF (POST('ok')){
  
  $us = INTVAL(POST('us'));
  $access = INTVAL(POST('access'));
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$us."'") == 0){
    
    ERROR('Такого пользователя не существует', 'session');
    REDIRECT('?path=site&section=us_add');
    
  }
  
  $account = DB::GET_STRING("SELECT `ID` FROM `USERS` WHERE `ID` = '".$us."' LIMIT 1");
  
  IF ($account['ACCESS'] == 99){
    
    ERROR('Неизвестная ошибка', 'session');
    REDIRECT('?path=site&section=us_add');
    
  }
  
  IF ($access == 98){
    
    $management = 1;
    
  }ELSE{
    
    $management = 0;
    
  }
  
  DB::GET_SET("UPDATE `USERS` SET `MANAGEMENT` = '".$management."', `ACCESS` = '".$access."' WHERE `ID` = '".$account['ID']."' LIMIT 1");
  
  $message = "Администрация сайта выдала вам новые права на сайте.";
  
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account['ID']."', '".CONFIG('SYSTEM')."', '".TIME()."', '".$message."', '".CONFIG('SYSTEM')."')");
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account['ID']."', '".CONFIG('SYSTEM')."', '".TIME()."', '".$message."', '".$account['ID']."')");
  
  SUCCESS('Пользователю успешно выданы права', 'session');
  REDIRECT('?path=site&section=us_add');
  
}

IF (GET('get') == 'delete'){
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$id."'") == 0){
    
    ERROR('Такого пользователя не существует', 'session');
    REDIRECT('?path=site&section=us_add');
  
  }
  
  $account = DB::GET_STRING("SELECT `ID` FROM `USERS` WHERE `ID` = '".$id."' LIMIT 1");
  
  IF ($account['ACCESS'] == 99){
    
    ERROR('Неизвестная ошибка', 'session');
    REDIRECT('?path=site&section=us_add');
    
  }
  
  DB::GET_SET("UPDATE `USERS` SET `MANAGEMENT` = '0', `ACCESS` = '1' WHERE `ID` = '".$account['ID']."' LIMIT 1");
  
  $message = "Администрация сайта обнулила ваши права на сайте.";
  
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account['ID']."', '".CONFIG('SYSTEM')."', '".TIME()."', '".$message."', '".CONFIG('SYSTEM')."')");
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account['ID']."', '".CONFIG('SYSTEM')."', '".TIME()."', '".$message."', '".$account['ID']."')");
  
  SUCCESS('С пользователя сняты права', 'session');
  REDIRECT('?path=site&section=us_add');
  
}
 
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Выдать права на сайте')."";
ECHO "</div>";  

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('us', 'ID', 'Введите ID пользователя:', NULL, $id);

IF (GET('id') && DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$id."'") == 1){
  
  $account = DB::GET_STRING("SELECT `ID`,`LOGIN` FROM `USERS` WHERE `ID` = '".$id."' LIMIT 1");
  
  ECHO "".LG('Выбран пользователь').": <a href='/id".$account['ID']."'>".ICONS('user', 15, 'fa-fw')." ".$account['LOGIN']."</a>";
  
  ECHO "<br /><br />";
  
}

ECHO "<b>".LG('Выберите права').":</b><br />";
ECHO "<select name='access' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `PANEL_ACCESS_USER` WHERE `ACCESS` != '99' ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ACCESS']."'> ".TEXT_ABSOLUTE($list['NAME'])." (".LG('Права')." #".$list['ACCESS'].")</option>";
  
}

ECHO "</select><br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'plus', 'Выдать права');

ECHO "</form>";

ECHO "</div>";

$count = DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ACCESS` > '1'");

ECHO "<div class='fon2'>";

ECHO "<div class='list-title'><b>".LG('Пользователи с правами выше пользовательского')." <span class='count2'>$count</span></b></div>";

IF ($count == 0){ 
  
  HTML::EMPTY();
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `USERS` WHERE `ACCESS` > '1' ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  $access = DB::GET_STRING("SELECT * FROM `PANEL_ACCESS_USER` WHERE `ACCESS` = '".$list['ACCESS']."' LIMIT 1");
  
  ECHO "<div class='list'><a load='none' href='/id".$list['ID']."'>";
  ECHO ICONS('user', 15, 'fa-fw')." ".$list['LOGIN']."";
  ECHO "</a> (ID: ".$list['ID'].", ".LG('Права').": #".$list['ACCESS'].")";
  
  ECHO " - ".TEXT_ABSOLUTE($access['NAME'])."";
  
  IF ($list['ACCESS'] != 99){
    
    ECHO "<br /><br /><a href='?path=site&section=us_add&id=".$list['ID']."&get=delete' class='panel-button'>".ICONS('minus', 15, 'fa-fw')." ".LG('Снять права')."</a>";
    
  }
    
  ECHO "</div>";
  
}

ECHO "</div>";

?>